#
# Cookbook:: sonic-nodejs
# Recipe:: default
#
# Copyright:: 2018, The Authors, All Rights Reserved.
require 'aws-sdk'

include_recipe 'apt'
include_recipe 'build-essential'
include_recipe 'poise-python'
include_recipe 'nodesource'
include_recipe 'nodesource::upgrade_npm'
include_recipe 'nodesource::yarn'
include_recipe 'glances'
include_recipe 'code_deploy::default'
include_recipe 'code_deploy::install_agent'
include_recipe 'code_deploy::start_agent'

#need to check to see if installed first and if so, just update
execute 'pm2' do
    command 'sudo npm install pm2 -g'
end

aws_ssm_parameter_store 'get queue_url' do
    name '/QUEUE_URL'
    return_key 'queue_url'
    action :get
end

execute 'testOfKey' do
    command "QUEUE_URL=#{node.run_state["queue_url"]}; export QUEUE_URL"
end

#with_decryption true

#reboot 'app_requires_reboot' do
#    action :reboot_now
#    reason 'Need to reboot when the run completes successfully.'
#    delay_mins 5
#end